
<p align="center">
  <img src="docs/logo.png" alt="Sublime's custom image" width="300"/>
</p>

-----

Spectral imaging analysis for Python (SiaPy) is a tool for efficient processing of spectral images.

* [Source code](https://github.com/Agricultural-institute/SiaPy/tree/master/siapy)
* [Bug reports](https://github.com/Agricultural-institute/SiaPy/issues)
* [Tutorials](https://github.com/Agricultural-institute/SiaPy/tree/master/tutorials)
* [Documentation](https://github.com/Agricultural-institute/SiaPy/tree/master/docs)

It provides:

* a framework for point and click analysis of spectral images
* structured configs for use in repetitive tasks
* an API for library use


## How to get started

First, check out the [setup](docs/setup_guide.md) tutorial which will walk you through installing the necessary tools to run the tutorials.
After, see how the app is used in [command-line](docs/app_use.md) fashion.
Next, check the [tutorial](tutorials) articles to learn how to use the application for particular purposes. The set of example notebooks and their outputs can be viewed in your browser without downloading anything or running any code.

## Contribution guidelines

Small improvements or fixes are always appreciated. If you are considering larger contributions to the source code, please contact us through e-mail.

Writing code isn’t the only way to contribute to SiaPy. You can also:

* help us stay on top of new and old issues
* develop tutorials, presentations, and other educational materials
* develop a graphical application
* implement new features

If you’re unsure where to start or how your skills fit in, reach out! You can ask on the e-mail or here, on GitHub, by opening a new issue or leaving a comment on a relevant issue that is already open.

If you are new to contributing to open source, this [guide](CONTRIBUTING.md) helps explain how to successfully get involved.

## Issues and new features
Find a problem with the tutorial? Please look through the existing issues (open and closed) and if it's new, create an issue on GitHub.

Want to correct an issue or expand library functionality? Fork the repository, make your fix and submit a pull request on GitHub.

Want an additional feature, but don't have time to implement it yourself? Kindly ask under issues and someone else may implement it for you.

Have a question? Please double-check that you're able to run the setup successfully, and resolve any issues with that first. If you're pulling newer code, it may be necessary in some cases to delete and re-create your SiaPy environment to make sure you have all of the expected packages.

## License
This project is licensed under the MIT License. See [LICENSE](LICENSE) for more details.

